runtime: python37

handlers:
# Redirect obsolete URLs.
# Blockly files moved from /blockly to /static on 5 Dec 2012.
- url: /blockly/.*
  static_files: redirect.html
  upload: redirect.html
# Code, Maze and Turtle moved from demos on 29 Dec 2012.
- url: /static/demos/(maze|turtle)/.*
  static_files: redirect.html
  upload: redirect.html
# Apps was disbanded on 20 Nov 2014.
- url: /static/apps/.*
  static_files: redirect.html
  upload: redirect.html

# Blockly files.
- url: /static
  static_dir: static
  secure: always

# Storage API.
- url: /storage\.js
  static_files: storage.js
  upload: storage\.js
  secure: always

# Favicon.
- url: /favicon\.ico
  static_files: favicon.ico
  upload: favicon\.ico
  secure: always
  expiration: "30d"

# Apple icon.
- url: /apple-touch-icon\.png
  static_files: apple-touch-icon.png
  upload: apple-touch-icon\.png
  secure: always
  expiration: "30d"

# robot.txt
- url: /robots\.txt
  static_files: robots.txt
  upload: robots\.txt
  secure: always

# Dynamic content.
- url: /.*
  script: auto
  secure: always
  